function [ wages,duration ] = simulation_flinn( parameters, seed, spells, ind )
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
rng(seed)

% Assign parameterts
lambda = parameters(1);
mu = parameters(2);
sigma = parameters(3);
alpha = parameters(4);
res = parameters(5);

% Wages
% turn res into uniform 0-1 cutoff
res_unif = logncdf(res,mu,sigma);
wagedraws = unifrnd(res_unif,1,ind,spells);
wages = alpha*logninv(wagedraws,mu,sigma) + (1-alpha)*res;

% duration
durationdraws = unifrnd(0,1,ind,spells);
duration = expinv(durationdraws,1/lambda);



end

